Summary:	Atomix-style arcade game
Name:		marbles
Version:	1.0.5
Release:	2mdk
Epoch:		1

URL:		http://lgames.sourceforge.net/index.php?action=show_project&project=Marbles

Source0:	http://lgames.sourceforge.net/marbleslgames/%{name}-%{version}.tar.bz2
Source4:	%{name}.menu
Source5:	%{name}16.png
Source6:	%{name}32.png
Source7:	%{name}48.png

License:	GPL
Group:		Games/Boards
Packager:	Franois Pons <fpons@mandrakesoft.com>
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	SDL-devel libSDL_mixer-devel XFree86-devel alsa-lib-devel
BuildRequires:	filesystem esound-devel texinfo

%description
Marbles is very similar to Atomix and was heavily inspired by it.
Goal is to create a more or less complex figure out of single
marbles within a time limit to reach the next level.
Sounds easy? Well, there is a problem: If a marble starts to move it
will not stop until it hits a wall or marble. And to make it even
more interesting there are obstacles like arrows,
crumbling walls and teleports!

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall inst_dir="$RPM_BUILD_ROOT%{_gamesdatadir}/%{name}" prf_dir="$RPM_BUILD_ROOT%{_localstatedir}/games" bindir="$RPM_BUILD_ROOT%{_gamesbindir}"

install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README
%attr(2755, root, games) %{_gamesbindir}/*
%attr(664, games, games) %{_localstatedir}/games/marbles.prfs
%{_gamesdatadir}/%{name}
%{_mandir}/man6/*
%{_menudir}/*
%{_iconsdir}/*
%{_miconsdir}/*
%{_liconsdir}/*

%changelog
* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.5-2mdk
- buildrequires

* Wed Oct 16 2002 Franois Pons <fpons@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5.

* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4.

* Fri May  3 2002 Pixel <pixel@mandrakesoft.com> 1.0.2-2mdk
- rebuild for new libasound

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2.

* Fri Feb 08 2002 Franois Pons <fpons@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1.

* Mon Jan 21 2002 Stefan van der Eijk <stefan@eijk.nu> 010307-5mdk
- BuildRequires

* Wed Nov 07 2001 Franois Pons <fpons@mandrakesoft.com> 010307-4mdk
- added url tag.

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 010307-3mdk
- build release, updated distrution tag.

* Fri May 18 2001 Franois Pons <fpons@mandrakesoft.com> 010307-2mdk
- update to use libSDL 1.2.

* Fri Apr 27 2001 Franois Pons <fpons@mandrakesoft.com> 010307-1mdk
- created patch to install man pages correctly (uggly).
- update to 010307.

* Fri Jan 13 2001 David BAUDNS <baudens@mandrakesoft.com> 001211-2mdk
- BuildRequires: libSDL1.1-devel

* Wed Dec 20 2000 Franois Pons <fpons@mandrakesoft.com> 001211-1mdk
- initial release
